Apple Pay Settings
Get trust anchor
Return the active Apple Root CA trust anchor on this instance.
GET
/
api
/
wallet
/
apple-pay
/
trust-anchors
Get trust anchor
curl --request GET \
--url https://{instance}.{env}.on-hellgate.cloud/api/wallet/apple-pay/trust-anchors \
--header 'Authorization: Bearer <token>'import requests
url = "https://{instance}.{env}.on-hellgate.cloud/api/wallet/apple-pay/trust-anchors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{instance}.{env}.on-hellgate.cloud/api/wallet/apple-pay/trust-anchors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9c4e2f7a-8b1d-4e6c-a3f5-2d8b7c9e4f1a",
"activated_at": "2026-02-01T09:05:00Z"
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}{
"code": 404,
"message": "The requested resource was not found.",
"classifier": "NOT_FOUND"
}Authorizations
bearerAuthAPIKey
JWT bearer token obtained via the OAuth2 client-credentials grant from the platform Authentication API. The token's scopes gate the endpoints it may call, and its audience names the Guardian instance. This is the standard way to authenticate to Guardian.
⌘I
Get trust anchor
